ur_rna.Utilities

## Class EventArgs.InfoBagEventArgs

- java.lang.Object
- - ur_rna.Utilities.EventArgs
  - - ur_rna.Utilities.EventArgs.InfoBagEventArgs

- Enclosing class:
    EventArgs

      public static class EventArgs.InfoBagEventArgs
      extends EventArgs

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ur_rna.Utilities.EventArgs

      `EventArgs.ActionEventArgs, EventArgs.BoolEventArgs, EventArgs.EventObjectArgs, EventArgs.InfoBagEventArgs, EventArgs.IntEventArgs, EventArgs.ObjEventArgs<T>, EventArgs.StringEventArgs`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.HashMap<java.lang.String,java.lang.Object>` | `info`

    - ### Fields inherited from class ur_rna.Utilities.EventArgs

      `Default`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InfoBagEventArgs()`
    `InfoBagEventArgs(java.lang.Object... nameArgPairs)`
    `InfoBagEventArgs(java.lang.String name, java.lang.Object arg)`
    `InfoBagEventArgs(java.lang.String name1, java.lang.Object arg1, java.lang.String name2, java.lang.Object arg2)`
    `InfoBagEventArgs(java.lang.String name1, java.lang.Object arg1, java.lang.String name2, java.lang.Object arg2, java.lang.String name3, java.lang.Object arg3)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### info

          public final java.util.HashMap<java.lang.String,java.lang.Object> info

  - ### Constructor Detail

    - #### InfoBagEventArgs

          public InfoBagEventArgs()

    - #### InfoBagEventArgs

          public InfoBagEventArgs(java.lang.Object... nameArgPairs)

    - #### InfoBagEventArgs

          public InfoBagEventArgs(java.lang.String name,
                                  java.lang.Object arg)

    - #### InfoBagEventArgs

          public InfoBagEventArgs(java.lang.String name1,
                                  java.lang.Object arg1,
                                  java.lang.String name2,
                                  java.lang.Object arg2)

    - #### InfoBagEventArgs

          public InfoBagEventArgs(java.lang.String name1,
                                  java.lang.Object arg1,
                                  java.lang.String name2,
                                  java.lang.Object arg2,
                                  java.lang.String name3,
                                  java.lang.Object arg3)